/*
    LogExport: Export Symbian call log to a file
	Copyright (C) 2007 Yohanes Nugroho

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
#include <e32base.h>		// CActive
#include <f32file.h>
#include <aknprogressdialog.h> 

// FORWARD DECLARATIONS
class CLogClient;
class CLogEvent;
class CLogFilter;
class CLogViewEvent;
class CCallArray;
class MCallLogEngineObserver;
class CAddEntries;

class CLogWriter: public CActive, MProgressDialogCallback {

public:
	void ConstructL();

public: // from CActive
	void DoCancel();
	void RunL();
	TInt RunError(TInt aError);
	void Export(TDesC &aFileName);
	CLogWriter();
	~CLogWriter();
	TBool IsDone();
	void WriteField(const TDesC &aText, int addcomma=1);
	void WriteField(TInt number, int addcomma=1);
	void DialogDismissedL(TInt /*aButtonId*/);

private:
	 CAknProgressDialog* iProgressDialog;
	CLogClient*				iLogClient; 
	CLogViewEvent*			iLogView;
	CLogFilter*				iLogFilter;
	RFs iFs;
    
	TBool iDone;

	
	enum TExportEngineState
		{
		ECreatingView,
		EAddingEntry,
		EIdle,
		EDebugCreatingEventLog
		};
	TExportEngineState iEngineState;
	RFile iFile;
};
