/*
    LogExport: Export Symbian call log to a file
	Copyright (C) 2007 Yohanes Nugroho

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
/*
============================================================================
 Name        : LogExportApplication.cpp
 Author      : Yohanes Nugroho
 Copyright   : Yohanes Nugroho
 Description : Main application class
============================================================================
*/

// INCLUDE FILES
#include "LogExportDocument.h"
#include "LogExportApplication.h"

// ============================ MEMBER FUNCTIONS ===============================

// UID for the application;
// this should correspond to the uid defined in the mmp file
const TUid KUidLogExportApp = { 0xA0001C61 };

// -----------------------------------------------------------------------------
// CLogExportApplication::CreateDocumentL()
// Creates CApaDocument object
// -----------------------------------------------------------------------------
//
CApaDocument* CLogExportApplication::CreateDocumentL()
    {
    // Create an LogExport document, and return a pointer to it
    return (static_cast<CApaDocument*>
                    ( CLogExportDocument::NewL( *this ) ) );
    }

// -----------------------------------------------------------------------------
// CLogExportApplication::AppDllUid()
// Returns application UID
// -----------------------------------------------------------------------------
//
TUid CLogExportApplication::AppDllUid() const
    {
    // Return the UID for the LogExport application
    return KUidLogExportApp;
    }

// End of File
